{
    attributes = (
        {
            columnName = "C_CATEGORIE_BUDGETAIRE"; 
            externalType = VARCHAR2; 
            name = cCategorieBudgetaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "L_CATEGORIE"; 
            externalType = VARCHAR2; 
            name = lCategorie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }
    ); 
    attributesUsedForLocking = (cCategorieBudgetaire, lCategorie); 
    className = "org.cocktail.kaki.server.metier.EOKxElementCatBudgetaire"; 
    classProperties = (lCategorie, cCategorieBudgetaire); 
    externalName = "jefy_paf.KX_ELEMENT_CAT_BUDGETAIRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (lCategorie, cCategorieBudgetaire); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOKxElementCatBudgetaire"; 
        "_nameInObjectStore" = "KA_ELEMENT_CAT_BUDGETAIRE"; 
    }; 
    name = KxElementCatBudgetaire; 
    primaryKeyAttributes = (cCategorieBudgetaire); 
}
